Bug 125863 - Crash swlo!SwPostItField::GetTime
Summary: Crash swlo!SwPostItField::GetTime
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0 target:6.2.6 target:6.3.0.2
Keywords: bibisected, bisected, regression, wantBacktrace
Depends on:
Blocks:
 
Reported: 2019-06-11 17:03 UTC by Telesto
Modified: 2019-07-12 07:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SwHeaderFooterWin::IsEmptyHeaderFooter()"]


Attachments
Example file (500.78 KB, application/vnd.oasis.opendocument.text)
2019-06-11 17:04 UTC, Telesto
Details
Screencast (2.98 MB, video/mp4)
2019-06-11 17:05 UTC, Telesto
Details
BT without symbols (3.14 KB, text/plain)
2019-06-11 17:06 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-11 17:03:58 UTC
Description:
Crash  swlo!SwPostItField::GetTime

Steps to Reproduce:
1. Open the attached file
2. Wait until the page counter stops
3. Press Enter in the header (say at pag 2)
4. Delete the header (using the blue header formatting bar)
5. Delete the Footer
6. Scroll down to the bottom
7. Delete the header -> Crash


Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-06-11 17:04:20 UTC
Created attachment 152111 [details]
Example file
Comment 2 Telesto 2019-06-11 17:05:29 UTC
Created attachment 152112 [details]
Screencast
Comment 3 Telesto 2019-06-11 17:06:08 UTC
Created attachment 152113 [details]
BT without symbols
Comment 4 Dieter Praas 2019-06-11 17:55:17 UTC
I confirm it with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: b170256fb6ebaf774b02b89835b19d9f3a1afb89
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-07_03:30:35
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

and with

Version: 6.2.4.2 (x64)
Build-ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

Crash report: http://crashreport.libreoffice.org/stats/crash_details/940f3304-4b36-4095-a104-8eec0b78d6d3
Comment 5 artur 2019-06-28 04:41:57 UTC
Regression introduced by:

commit	b1f15dd7e5a3b58a9595f9419c3208973d9244ff	[log]
author	Jim Raykowski <raykowj@gmail.com>	Sun Mar 10 23:25:33 2019 -0800
committer	Heiko Tietze <tietze.heiko@gmail.com>	Wed Mar 13 11:48:07 2019 +0100
tree	4be6564368828afc7f61dd335bd615b268cb2472
parent	6abed0ea006f3616e40faf2ae782cf64f8ac2914
Comment 6 Jim Raykowski 2019-07-02 19:16:43 UTC
Hi all, here is a rework of patch for bug 107593 that doesn't crash on header footer delete for the example file:

https://gerrit.libreoffice.org/#/c/75010/

Confirmation appreciated.
Comment 7 Commit Notification 2019-07-05 09:39:18 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/151eae314358f9ee0df017cb89fbc8c87c969cdb%5E%21

tdf#125863 Rework tdf#107593 so header footer delete doesn't crash

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-07-08 10:00:05 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 9b7729c6e224dfbe89e309aab8e8fd392fc234ad
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue!! Backporting to 6-3 and 6-2
Comment 9 Commit Notification 2019-07-08 14:47:15 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/3597e95c6ec921fff04fc6387ff9427be54302bc%5E%21

tdf#125863 Rework tdf#107593 so header footer delete doesn't crash

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-07-08 14:47:31 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/fea249a4d883231bf6f6eda7146b0a86f8e591a3%5E%21

tdf#125863 Rework tdf#107593 so header footer delete doesn't crash

It will be available in 6.3.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Dieter Praas 2019-07-12 07:19:54 UTC
(In reply to Xisco Faulí from comment #8)
> Verified in
> 
> Version: 6.4.0.0.alpha0+
> Build ID: 9b7729c6e224dfbe89e309aab8e8fd392fc234ad
> CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
> Calc: threaded
> 
> @Jim, thanks for fixing this issue!! Backporting to 6-3 and 6-2

=> VERIFIED FIXED